%define major	4
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:		jansson
Version:	2.13.1
Release:	%mkrel 1
Summary:	C library for encoding, decoding and manipulating JSON data
Group:		System/Libraries
License:	MIT
URL:		http://www.digip.org/jansson
Source0:	http://www.digip.org/%{name}/releases/%{name}-%{version}.tar.xz
Patch0:		fix-docs-build-with-sphinx-3.patch
BuildRequires:	python3-sphinx

%description
Jansson is a C library for encoding, decoding and manipulating JSON
data. Its main features and design principles are:

- Simple and intuitive API and data model
- Comprehensive documentation
- No dependencies on other libraries
- Full Unicode support (UTF-8)
- Extensive test suite

%package -n %{libname}
Summary:	C library for encoding, decoding and manipulating JSON data
Group:		System/Libraries


%description -n %{libname}
Small library for parsing and writing JSON documents.

%package -n %{devname}
Summary:	Header files for jansson
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developing applications making use of jansson.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*.h


%changelog
* Mon Apr 05 2021 tex - 2.13.1-1pclos2021
- create pkg
